Fixing build with as-needed. Enabling shared libs.

http://bugs.gentoo.org/show_bug.cgi?id=248549
 
--- src/Makefile.am
+++ src/Makefile.am
@@ -22,7 +22,7 @@
 
 DEFAULT_MENU		= $(pkgdatadir)/menu
 DEFAULT_STYLE		= $(pkgdatadir)/styles/Gray
-CPPFLAGS		= @CPPFLAGS@ @SHAPE@ @XFT@ @DEBUG@ @NLS@ \
+AM_CPPFLAGS		= @SHAPE@ @XFT@ @DEBUG@ @NLS@ \
 			  -DLOCALEPATH=\"$(pkgdatadir)/nls\" \
 			  -DDEFAULTMENU=\"$(DEFAULT_MENU)\" \
 			  -DDEFAULTSTYLE=\"$(DEFAULT_STYLE)\" \
--- lib/Makefile.am
+++ lib/Makefile.am
@@ -62,7 +62,8 @@
 			Util.hh						\
 			XDG.hh
 
-libbt_la_LIBADD =	@ICONV@ @LOCALE@
+libbt_la_LIBADD =	@ICONV@ @LOCALE@ @xft_LIBS@
+libbt_la_CFLAGS = 	@xft_CFLAGS@
 
 pkgconfigdir = 		$(libdir)/pkgconfig
 nodist_pkgconfig_DATA =	libbt.pc
--- util/Makefile.am
+++ util/Makefile.am
@@ -21,7 +21,7 @@
 # FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
 # DEALINGS IN THE SOFTWARE.
 
-CPPFLAGS		= @CPPFLAGS@ @DEBUG@ @NLS@ \
+AM_CPPFLAGS		= @DEBUG@ @NLS@ \
 			  -I$(top_srcdir)/lib
 
 bin_SCRIPTS		= bsetbg
--- configure.ac
+++ configure.ac
@@ -29,7 +29,7 @@
 AC_PROG_INSTALL
 
 dnl libbt shouldn't be shared by default (yet)
-AC_DISABLE_SHARED
+dnl AC_DISABLE_SHARED
 AC_PROG_LIBTOOL
 AC_SUBST(LIBTOOL_DEPS)
 
